summaryrefslogtreecommitdiff
path: root/cryptominisat5/cryptominisat-5.6.3/scripts/travis-install-cmake.sh
diff options
context:
space:
mode:
Diffstat (limited to 'cryptominisat5/cryptominisat-5.6.3/scripts/travis-install-cmake.sh')
-rwxr-xr-xcryptominisat5/cryptominisat-5.6.3/scripts/travis-install-cmake.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/cryptominisat5/cryptominisat-5.6.3/scripts/travis-install-cmake.sh b/cryptominisat5/cryptominisat-5.6.3/scripts/travis-install-cmake.sh
new file mode 100755
index 000000000..7f65d3373
--- /dev/null
+++ b/cryptominisat5/cryptominisat-5.6.3/scripts/travis-install-cmake.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+# Copyright (C) 2014 Mate Soos
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; version 2
+# of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+# This file wraps CMake invocation for TravisCI
+# so we can set different configurations via environment variables.
+
+set -e
+set -x
+
+wget http://www.cmake.org/files/v3.4/cmake-3.4.1.tar.gz
+tar -xzf cmake-3.4.1.tar.gz
+cd cmake-3.4.1/
+./configure > cmake_config_out.txt
+make -j2 > cmake_build_out.txt
+sudo make install > cmake_install_out.txt
+sudo update-alternatives --install /usr/bin/cmake cmake /usr/local/bin/cmake 1 --force
+cmake --version
+cd ..
generated by cgit on debian on lair
contact matthew@masot.net with questions or feedback